## Revoke all Access tokens for a user `client.ZeroTrust.Organizations.RevokeUsers(ctx, params) (*OrganizationRevokeUsersResponse, error)` **post** `/{accounts_or_zones}/{account_or_zone_id}/access/organizations/revoke_user` Revokes a user's access across all applications. ### Parameters - `params OrganizationRevokeUsersParams` - `Email param.Field[string]` Body param: The email of the user to revoke. - `AccountID param.Field[string]` Path param: The Account ID to use for this endpoint. Mutually exclusive with the Zone ID. - `ZoneID param.Field[string]` Path param: The Zone ID to use for this endpoint. Mutually exclusive with the Account ID. - `QueryDevices param.Field[bool]` Query param: When set to `true`, all devices associated with the user will be revoked. - `QueryDevices param.Field[bool]` Query param: When set to `true`, all devices associated with the user will be revoked. - `UserUID param.Field[string]` Body param: The uuid of the user to revoke. - `WARPSessionReauth param.Field[bool]` Body param: When set to `true`, the user will be required to re-authenticate to WARP for all Gateway policies that enforce a WARP client session duration. When `false`, the user’s WARP session will remain active ### Returns - `type OrganizationRevokeUsersResponse bool` - `const OrganizationRevokeUsersResponseTrue OrganizationRevokeUsersResponse = true` - `const OrganizationRevokeUsersResponseFalse OrganizationRevokeUsersResponse = false` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/zero_trust" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.ZeroTrust.Organizations.RevokeUsers(context.TODO(), zero_trust.OrganizationRevokeUsersParams{ Email: cloudflare.F("test@example.com"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response) } ``` #### Response ```json { "result": true, "success": true } ```